Bug 472818 - reassess the default I/O scheduler for RHEL
reassess the default I/O scheduler for RHEL
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jeffrey Moyer
Red Hat Kernel QE team
: TestOnly
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 15:32 EST by Jeffrey Moyer
Modified: 2010-11-11 09:41 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.6.32-18.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:41:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Moyer 2008-11-24 15:32:14 EST
Description of problem:

The default I/O scheduler for the kernel is cfq, and RHEL inherits this.  Let's reassess this based on performance numbers in a variety of workloads that our customers care about.
Comment 1 RHEL Product and Program Management 2009-06-15 17:02:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 Mike Gahagan 2010-08-24 17:13:33 EDT
cfq is the default IO scheduler in 6.0. Performance and scheduling issues that have come are being handled by separate bugs so I think we can go ahead and verify this one.
Comment 7 releng-rhel@redhat.com 2010-11-11 09:41:37 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.